NXTSensor subclass: #NXTSoundSensor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Enchanting-NXT Peripherals'!
!NXTSoundSensor commentStamp: '<historical>' prior: 0!
Sound sensor for the NXT.
!


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NXTSoundSensor class
	instanceVariableNames: ''!

!NXTSoundSensor class methodsFor: 'accessing' stamp: 'LGG 5/24/2011 14:43'!
baseName

	^ 'sound sensor'! !

!NXTSoundSensor class methodsFor: 'accessing' stamp: 'LGG 5/24/2011 14:44'!
concreteTypes
"Returns a list of physical devices that implement the functions of this class."


	^ #(
		'Sound Sensor'
	).! !


!NXTSoundSensor class methodsFor: 'block specs' stamp: 'LGG 5/24/2011 14:44'!
configBlockSpec

	^ 'Measures sound level in decibels using a %p named %s'.! !

!NXTSoundSensor class methodsFor: 'block specs' stamp: 'LGG 5/24/2011 14:51'!
providesBlocks
"Returns a list of block specifications to be used in the main user interface if there is any device configured that can use these blocks.  Note that the 'selectors' are all unique, start with the class name followed by a colon, but do not actually have functions that go with them."

	| blocks |
	
	blocks _ #(
		'sensing'
			('sound level from %P in decibels' 				r	NXTSoundSensor:soundLevel:)
		).

	^ blocks  ! !


!NXTSoundSensor class methodsFor: 'dropdown lists' stamp: 'LGG 5/24/2011 14:25'!
customListNumber: aNumber
"Peripherals can return custom lists (or nil)."

	^ nil.! !
