ArgumentElementMorph subclass: #StepHolderElementMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Elements'!

!StepHolderElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/23/2009 02:24'!
asSmalltalk
	|stack ws|
	contents ifNil: [^''].
	stack _ contents stack.
	ws _ WriteStream on: String new.
	stack do: [:eachStep|
		ws nextPutString: eachStep asSmalltalk.
		(eachStep == stack last)
			ifFalse: [ws nextPut: $.;cr]].
	^ws contents! !

!StepHolderElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/13/2009 22:04'!
drawOn: aCanvas 

	|r bw indent dent bw2 bw3 |

"	contents ifNotNil: [^aCanvas fillRectangle: self bounds color: owner color]."
	bw _ self borderWidth.
	bw2 _ bw * 2.
	bw3 _ bw * 3.
	indent _ bw * 5.
	dent _ bw * 5.

	"border"
	"top"
	r _ Rectangle origin: ((self left + bw) @ self top) corner: (self left + indent + bw) @ (self top + bw).
	aCanvas fillRectangle: r color: self borderColorVeryDark.

	r _ Rectangle origin: ((self left + indent) @ (self top + bw)) corner: (self left + indent + bw) @ (self top + bw3).
	aCanvas fillRectangle: r color: self borderColorLight.

	r _ Rectangle origin: ((self left + indent + bw) @ (self top + bw2)) corner: (self left + indent + dent + bw) @ (self top + bw3).
	aCanvas fillRectangle: r color: self borderColorVeryDark.

	r _ Rectangle origin: ((self left + indent + dent) @ (self top)) corner: (self left + indent + dent + bw) @ (self top + bw2).
	aCanvas fillRectangle: r color: self borderColorDark.

	r _ Rectangle origin: ((self left + indent + dent + bw) @ (self top)) corner: (self right) @ (self top + bw).
	aCanvas fillRectangle: r color: self borderColorVeryDark.


	"left"
	r _ Rectangle origin: (self topLeft) corner: (self left + bw) @ (self bottom - bw3).
	aCanvas fillRectangle: r color: self borderColorDark.

	"right"
	r _ Rectangle origin: ((self right - bw) @ (self top + bw)) corner: (self right @ (self bottom - bw2)).
	aCanvas fillRectangle: r color: self borderColorLight.

	"bottom"
	r _ Rectangle origin: (self left @ (self bottom - bw3)) corner: (self right - bw) @ (self bottom - bw2).
	aCanvas fillRectangle: r color: self borderColorVeryLight.

"	r _ Rectangle origin: (self left @ (self bottom - bw3)) corner: (self left + indent) @ (self bottom - bw2).
	aCanvas fillRectangle: r color: self borderColorVeryLight.

	r _ Rectangle origin: (self left + indent) @ (self bottom - bw3) corner: (self left + indent + bw) @ (self bottom - bw).
	aCanvas fillRectangle: r color: self borderColorDark.

	r _ Rectangle origin: (self left + indent) @ (self bottom - bw) corner: (self left + indent + dent - bw) @ (self bottom).
	aCanvas fillRectangle: r color: self borderColorVeryLight.

	r _ Rectangle origin: (self left + indent + dent - bw) @ (self bottom - bw2) corner: (self left + indent + dent) @ (self bottom).
	aCanvas fillRectangle: r color: self borderColorLight.

	r _ Rectangle origin: (self left + indent + dent - bw) @ (self bottom - bw3) corner: (self right - bw) @ (self bottom - bw2).
	aCanvas fillRectangle: r color: self borderColorVeryLight.
"
	"body"
	aCanvas fillRectangle: (Rectangle origin: (self left + bw) @ (self top + bw3) corner: (self right - bw) @ (self bottom - bw3)) color: color.

	aCanvas fillRectangle: (Rectangle origin: (self left + bw) @ (self top + bw) corner: (self left + indent) @ (self top + bw3)) color: color.

	aCanvas fillRectangle: (Rectangle origin: (self left + indent + dent + bw) @ (self top + bw) corner: (self right - bw) @ (self top + bw3)) color: color.

"	aCanvas fillRectangle: (Rectangle origin: (self left + indent + bw) @ (self bottom - bw3) corner: (self left + indent + dent - bw) @ (self bottom - bw)) color: color."
! !

!StepHolderElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 2/5/2009 20:55'!
fit
	| h |

	(owner isKindOf: MethodElementMorph) & (self ownerThatIsA: ElementsMethodEditorMorph) notNil
		ifTrue: [ ^self fitMethod ].

	contents isNil
		ifTrue: [
			h _ MessageElementMorph labelFont height.
			self extent: (h * 1.8) @ (h * 1.2)]
		ifFalse: [
			(owner isKindOf: MethodElementMorph).
			self extent: contents stackExtent  + (self borderWidth * 2).
			contents position: bounds center - (contents stackExtent // 2) ].
	(owner respondsTo: #fit)
		ifTrue: [owner fit]! !

!StepHolderElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 2/2/2009 20:20'!
fitMethod
	| h |
	h _ MessageElementMorph labelFont height.
	self extent: (h * 1.8) @ (h * 1.2).
	contents ifNotNil: [
		contents position: self position + self borderWidth].
	(owner respondsTo: #fit)
		ifTrue: [owner fit]! !

!StepHolderElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 2/10/2009 10:53'!
mouseEnterDragging: evt
	"Handle a mouseEnterDragging event. The mouse just entered my bounds with a button pressed or laden with submorphs. This default implementation does nothing."

	| m |
	evt hand hasSubmorphs ifFalse: [^self].
	m _ evt hand submorphs first.
	(self wantsDroppedMorph: m event: evt)
		ifTrue: [
			self extent: m stackExtent  + (self borderWidth * 2).
			self hilite .
			(owner respondsTo: #fit)
			ifTrue: [owner fit]]! !

!StepHolderElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 2/5/2009 20:52'!
wantsDroppedMorph: aMorph event: evt

	^contents isNil & (aMorph isKindOf: StepElementMorph) & (self ownerThatIsA: ElementPaletteMorph) isNil

! !
